import Ember from 'ember';
import * as utils from 'corpus-common-addon/utils/utils';

export default Ember.Component.extend({
  tagName: "tr",
  isSubjectLink: Ember.computed.match('subject', /^http\:\/\//),
  isBnfLink: Ember.computed('subject', function() {
    return utils.isBnfLink(this.get('subject'));
  }),
  isNotBnfLink: Ember.computed.not("isBnfLink"),
  actions: {
    removeSubject: function(subject) {
      this.get('removeSubject')(subject);
    }
  }
});
